import { p as promiseResolve, b as bootstrapLazy } from './index-e44d5e53.js';

/*
 Stencil Client Patch Esm v2.1.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["quickom-chat",[[0,"quickom-chat",{"domain":[1],"backgroundColor":[1,"background-color"],"memberId":[1,"member-id"],"chatWithMemberId":[1,"chat-with-member-id"],"apiKey":[1,"api-key"],"avatar":[1],"isOpen":[32]}]]],["quickom-chat-qrcode",[[1,"quickom-chat-qrcode",{"alias":[1],"backgroundColor":[1,"background-color"],"domain":[1],"isOpen":[32]}]]],["quickom-floating-support",[[0,"quickom-floating-support",{"url":[1],"qrCodeImg":[1,"qr-code-img"],"text":[1],"imgQr":[32]}]]],["quickom-svg-render",[[1,"quickom-svg-render",{"src":[1],"width":[2],"height":[2],"svgContent":[32],"svgAttriutes":[32]}]]],["quickom-chat-iframe_2",[[0,"quickom-chat-iframe",{"domain":[1],"memberId":[1,"member-id"],"chatWithMemberId":[1,"chat-with-member-id"],"avatar":[1],"apiKey":[1,"api-key"]}],[4,"quickom-draggable"]]]], options);
  });
};

export { defineCustomElements };
