import EventEmitter from './eventEmitter';
import IframeMessenger from './iframeMessenger';
export default class IframeSession extends EventEmitter {
  private _sessionId;
  private _origin;
  private _iframeMessenger;
  private static iframeObserable;
  private _iframeObserable;
  static listen(iframeMessenger: IframeMessenger): void;
  private constructor();
  private _listen;
  static init(iframeMessenger: IframeMessenger): IframeSession;
  private _receive;
  private _init;
  send(msg: any): void;
  get sessionId(): string;
  destroy(): void;
}
