'use strict';

const index = require('./index-91a55b68.js');

/*
 Stencil Client Patch Browser v2.1.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('quickom-widget.cjs.js', document.baseURI).href));
    const opts =  {};
    if ( importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["quickom-chat.cjs",[[0,"quickom-chat",{"domain":[1],"backgroundColor":[1,"background-color"],"memberId":[1,"member-id"],"chatWithMemberId":[1,"chat-with-member-id"],"apiKey":[1,"api-key"],"avatar":[1],"isOpen":[32]}]]],["quickom-chat-qrcode.cjs",[[1,"quickom-chat-qrcode",{"alias":[1],"backgroundColor":[1,"background-color"],"domain":[1],"isOpen":[32]}]]],["quickom-floating-support.cjs",[[0,"quickom-floating-support",{"url":[1],"qrCodeImg":[1,"qr-code-img"],"text":[1],"imgQr":[32]}]]],["quickom-svg-render.cjs",[[1,"quickom-svg-render",{"src":[1],"width":[2],"height":[2],"svgContent":[32],"svgAttriutes":[32]}]]],["quickom-chat-iframe_2.cjs",[[0,"quickom-chat-iframe",{"domain":[1],"memberId":[1,"member-id"],"chatWithMemberId":[1,"chat-with-member-id"],"avatar":[1],"apiKey":[1,"api-key"]}],[4,"quickom-draggable"]]]], options);
});
