import { EventEmitter } from '../../stencil-public-runtime';
import IframeMessenger from '../../services/iframeMessenger';
import IframeSession from '../../services/iframeSession';
export declare class QuickomChatIframe {
  visible: EventEmitter<boolean>;
  domain: string;
  memberId: string;
  chatWithMemberId: string;
  avatar: string;
  apiKey: string;
  iframeElement: HTMLIFrameElement;
  iframeMessenger: IframeMessenger;
  iframeSession: IframeSession;
  private getUrl;
  private onIframeRef;
  private onLoadIframe;
  private sendChatWithMember;
  private onChatBoxMessage;
  render(): any;
  onChangeMemberId(): void;
  onChangeChatWithMemberId(): void;
  onChangeApiKey(): void;
  disconnectedCallback(): void;
}
